Bug 747902 - the mouse operation on ibus menu makes ctrl+space not working
the mouse operation on ibus menu makes ctrl+space not working
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-21 06:45 EDT by Akira TAGOH
Modified: 2011-11-10 12:41 EST (History)
3 users (show)

See Also:
Fixed In Version: ibus-1.4.0-10.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-10 12:41:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2011-10-21 06:45:44 EDT
Description of problem:
Once clicking the default layout on the ibus menu when it's active, ctrl+space doesn't toggle to enable IME. well, it may be toggling between the single default layout, but I'd say it's bad behavior and should be fixed.

Version-Release number of selected component (if applicable):
ibus-1.4.0-5.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1.open any GTK+ application
2.click the default layout from the ibus menu, which is active.
3.ctrl+space on the application
  
Actual results:
no changes on IME

Expected results:
should be changed to another

Additional info:
this works back after clicking another.
current behavior also makes bad experience causing not able to disable IME when non-default layout engine is active and do the same thing as explaining the above. so ibus should ignore when the clicked engine is same to current active engine.
Comment 1 Fedora Update System 2011-10-28 11:47:54 EDT
ibus-1.4.0-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-1.4.0-8.fc16
Comment 2 Fedora Update System 2011-10-28 17:30:49 EDT
Package ibus-1.4.0-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15023
then log in and leave karma (feedback).
Comment 3 Akira TAGOH 2011-10-31 01:10:19 EDT
I tried the updated package and I can still see the unexpected behavior on ctrl+space. the scenario is:

1. install one more engine
2. restart ibus
3. add it to the input method list on ibus-setup
4. enable it from the menu.
5. press ctrl+space

Actual result:
after the step 5, another engine that originally installed is activated. I mean the flow is like:
2) default layout -> 4) the engine installed at step 1 -> 5) the engine already installed

Expected result:
the default layout should be activated at the step 5 as it was the previous state when activating through the mouse operation.
Comment 4 Akira TAGOH 2011-10-31 04:43:52 EDT
Another testcase not working:

1. Boot on en_US (such as the default language on Live)
2. turn on "Customize active input methods" checkbox
3. add any IME
4. press ctrl+space on apps

Actual result:
step 4 can enables IME but unable to disable with ctrl+space.

adding single engine is sufficient to reproduce. tried with ibus-pinyin and ibus-mozc. in either case, it doesn't work.
Comment 5 Akira TAGOH 2011-10-31 05:02:46 EDT
doh. a false alarm.

correctly:
4. click the engine added by 3 from the menu
5. press ctrl+space to disable it.
Comment 6 fujiwara 2011-10-31 06:23:32 EDT
(In reply to comment #3)

Thanks for two test cases.
I'll update the ibus for f16 again.
Comment 7 Fedora Update System 2011-11-02 13:54:53 EDT
Package ibus-1.4.0-9.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-9.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15023
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-11-04 17:48:51 EDT
Package ibus-1.4.0-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.0-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15023
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2011-11-10 12:41:10 EST
ibus-1.4.0-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.